Android सुरक्षा बुलेटिन—अप्रैल 2020

संग्रह की मदद से व्यवस्थित रहें अपनी प्राथमिकताओं के आधार पर, कॉन्टेंट को सेव करें और कैटगरी में बांटें.

प्रकाशित अप्रैल 6, 2020 | 8 अप्रैल, 2020 को अपडेट किया गया

Android सुरक्षा बुलेटिन में Android उपकरणों को प्रभावित करने वाली सुरक्षा कमजोरियों का विवरण होता है। 2020-04-05 या बाद के सुरक्षा पैच स्तर इन सभी मुद्दों को संबोधित करते हैं। किसी डिवाइस के सुरक्षा पैच स्तर की जांच करने का तरीका जानने के लिए, अपना Android संस्करण जांचें और अपडेट करें देखें.

प्रकाशन से कम से कम एक महीने पहले Android भागीदारों को सभी मुद्दों के बारे में सूचित किया जाता है। इन मुद्दों के लिए स्रोत कोड पैच एंड्रॉइड ओपन सोर्स प्रोजेक्ट (एओएसपी) रिपोजिटरी में जारी किए गए हैं और इस बुलेटिन से जुड़े हुए हैं। इस बुलेटिन में एओएसपी के बाहर पैच के लिंक भी शामिल हैं।

इन मुद्दों में सबसे गंभीर सिस्टम घटक में एक महत्वपूर्ण सुरक्षा भेद्यता है जो एक विशेष रूप से तैयार की गई फ़ाइल का उपयोग करके एक विशेषाधिकार प्राप्त प्रक्रिया के संदर्भ में मनमाने कोड को निष्पादित करने के लिए एक दूरस्थ हमलावर को सक्षम कर सकता है। गंभीरता का आकलन इस प्रभाव पर आधारित है कि भेद्यता का शोषण संभवतः एक प्रभावित डिवाइस पर होगा, यह मानते हुए कि प्लेटफॉर्म और सेवा शमन को विकास उद्देश्यों के लिए बंद कर दिया गया है या सफलतापूर्वक बायपास कर दिया गया है।

Android सुरक्षा प्लेटफ़ॉर्म सुरक्षा और Google Play प्रोटेक्ट पर विवरण के लिए Android और Google Play प्रोटेक्ट मिटिगेशन अनुभाग देखें, जो Android प्लेटफ़ॉर्म की सुरक्षा में सुधार करते हैं।

Android और Google सेवा में कमी

यह Android सुरक्षा प्लेटफ़ॉर्म और Google Play Protect जैसी सेवा सुरक्षा द्वारा प्रदान किए गए शमन का सारांश है। ये क्षमताएं इस संभावना को कम करती हैं कि Android पर सुरक्षा कमजोरियों का सफलतापूर्वक शोषण किया जा सकता है।

  • एंड्रॉइड प्लेटफॉर्म के नए संस्करणों में एन्हांसमेंट द्वारा एंड्रॉइड पर कई मुद्दों के लिए शोषण को और अधिक कठिन बना दिया गया है। हम सभी उपयोगकर्ताओं को जहां संभव हो, Android के नवीनतम संस्करण में अपडेट करने के लिए प्रोत्साहित करते हैं।
  • एंड्रॉइड सुरक्षा टीम सक्रिय रूप से Google Play Protect के माध्यम से दुरुपयोग की निगरानी करती है और उपयोगकर्ताओं को संभावित रूप से हानिकारक एप्लिकेशन के बारे में चेतावनी देती है। Google Play Protect Google मोबाइल सेवाओं वाले उपकरणों पर डिफ़ॉल्ट रूप से सक्षम होता है, और यह उन उपयोगकर्ताओं के लिए विशेष रूप से महत्वपूर्ण है जो Google Play के बाहर से ऐप्स इंस्टॉल करते हैं।

2020-04-01 सुरक्षा पैच स्तर की भेद्यता विवरण

नीचे दिए गए अनुभागों में, हम 2020-04-01 पैच स्तर पर लागू होने वाली प्रत्येक सुरक्षा भेद्यता के लिए विवरण प्रदान करते हैं। कमजोरियों को उनके द्वारा प्रभावित घटक के अंतर्गत वर्गीकृत किया जाता है। समस्या का विवरण और सीवीई, संबंधित संदर्भ, भेद्यता के प्रकार , गंभीरता , और अद्यतन एओएसपी संस्करण (जहां लागू हो) के साथ एक तालिका है। उपलब्ध होने पर, हम उस सार्वजनिक परिवर्तन को जोड़ते हैं जिसने समस्या को बग आईडी से संबोधित किया, जैसे AOSP परिवर्तन सूची। जब एक से अधिक परिवर्तन एक बग से संबंधित होते हैं, तो अतिरिक्त संदर्भ बग आईडी के बाद की संख्याओं से जुड़े होते हैं।

रूपरेखा

इस खंड में सबसे गंभीर भेद्यता स्थानीय दुर्भावनापूर्ण एप्लिकेशन को अतिरिक्त अनुमतियों तक पहुंच प्राप्त करने के लिए उपयोगकर्ता इंटरैक्शन आवश्यकताओं को बायपास करने में सक्षम कर सकती है।

सीवीई संदर्भ टाइप तीव्रता अपडेट किया गया एओएसपी संस्करण
सीवीई-2020-0080 ए-144092031 ईओपी उच्च 10
सीवीई-2020-0081 ए-144028297 [ 2 ] ईओपी उच्च 8.0, 8.1, 9, 10
सीवीई-2020-0082 ए-144417434 ईओपी उच्च 10
सीवीई-2019-5018 ए-140180629 [ 2 ] ईओपी उच्च 8.0, 8.1, 9, 10
सीवीई-2019-8457 ए-140182003 [ 2 ] पहचान उच्च 8.0, 8.1, 9, 10
सीवीई-2019-9936 ए-140181188 [ 2 ] पहचान संतुलित 8.0, 8.1, 9, 10

मीडिया ढांचा

निम्नलिखित खंड में सबसे गंभीर भेद्यता एक स्थानीय हमलावर को विशेष रूप से तैयार की गई फ़ाइल का उपयोग करके एक विशेषाधिकार प्राप्त प्रक्रिया के संदर्भ में मनमाना कोड निष्पादित करने में सक्षम कर सकती है।

सीवीई संदर्भ टाइप तीव्रता अपडेट किया गया एओएसपी संस्करण
सीवीई-2020-0078 ए-144766455 ईओपी उच्च 9, 10
सीवीई-2020-0079 ए-144506242 ईओपी उच्च 9, 10

व्यवस्था

इस खंड में सबसे गंभीर भेद्यता एक विशेष रूप से तैयार की गई फ़ाइल का उपयोग करके एक विशेषाधिकार प्राप्त प्रक्रिया के संदर्भ में मनमाने कोड को निष्पादित करने के लिए एक दूरस्थ हमलावर को सक्षम कर सकती है।

सीवीई संदर्भ टाइप तीव्रता अपडेट किया गया एओएसपी संस्करण
सीवीई-2020-0070 ए-148159613 आरसीई नाजुक 8.0, 8.1, 9, 10
सीवीई-2020-0071 ए-147310721 आरसीई नाजुक 8.0, 8.1, 9, 10
सीवीई-2020-0072 ए-147310271 [ 2 ] आरसीई नाजुक 8.0, 8.1, 9, 10
सीवीई-2020-0073 ए-147309942 आरसीई नाजुक 8.0, 8.1, 9, 10

Google Play सिस्टम अपडेट

इस महीने Google Play सिस्टम अपडेट में कोई सुरक्षा समस्या नहीं है।

2020-04-05 सुरक्षा पैच स्तर की भेद्यता विवरण

नीचे दिए गए अनुभागों में, हम 2020-04-05 पैच स्तर पर लागू होने वाली प्रत्येक सुरक्षा भेद्यता के लिए विवरण प्रदान करते हैं। कमजोरियों को उस घटक के तहत वर्गीकृत किया जाता है जो वे प्रभावित करते हैं और इसमें सीवीई, संबद्ध संदर्भ, भेद्यता के प्रकार , गंभीरता , घटक (जहां लागू हो), और अद्यतन एओएसपी संस्करण (जहां लागू हो) जैसे विवरण शामिल होते हैं। उपलब्ध होने पर, हम उस सार्वजनिक परिवर्तन को जोड़ते हैं जिसने समस्या को बग आईडी से संबोधित किया, जैसे AOSP परिवर्तन सूची। जब एक से अधिक परिवर्तन एक बग से संबंधित होते हैं, तो अतिरिक्त संदर्भ बग आईडी के बाद की संख्याओं से जुड़े होते हैं।

रूपरेखा

इस खंड में भेद्यता एक स्थानीय हमलावर को संवेदनशील डेटा तक पहुंच प्राप्त करने में सक्षम कर सकती है।

सीवीई संदर्भ टाइप तीव्रता अपडेट किया गया एओएसपी संस्करण
सीवीई-2019-2056 ए-140879284 * पहचान उच्च 10

कर्नेल घटक

इस खंड में सबसे गंभीर भेद्यता एक स्थानीय हमलावर को विशेष रूप से तैयार की गई USB डिवाइस का उपयोग करके एक विशेषाधिकार प्राप्त प्रक्रिया के संदर्भ में मनमाने कोड को निष्पादित करने में सक्षम कर सकती है।

सीवीई संदर्भ टाइप तीव्रता अवयव
सीवीई-2019-19524 ए-146258053
अपस्ट्रीम कर्नेल
ईओपी उच्च यूएसबी इनपुट ड्राइवर
सीवीई-2019-19532 ए-146258320
अपस्ट्रीम कर्नेल
ईओपी उच्च यूएसबी छिपाई ड्राइवर
सीवीई-2019-19807 ए-146482218
अपस्ट्रीम कर्नेल
ईओपी उच्च ऑडियो सबसिस्टम

एफपीसी घटक

इस खंड में सबसे गंभीर भेद्यता स्थानीय दुर्भावनापूर्ण एप्लिकेशन को अतिरिक्त अनुमतियों तक पहुंच प्राप्त करने के लिए उपयोगकर्ता इंटरैक्शन आवश्यकताओं को बायपास करने में सक्षम कर सकती है।

सीवीई संदर्भ टाइप तीव्रता अवयव
सीवीई-2020-0076 ए-146056878 * ईओपी उच्च एफपीसी आईरिस टीजेड ऐप
सीवीई-2020-0075 ए-146057864 * पहचान संतुलित एफपीसी आईरिस टीजेड ऐप
सीवीई-2020-0077 ए-146055840 * पहचान संतुलित एफपीसी आईरिस टीजेड ऐप

क्वालकॉम घटक

ये भेद्यताएं क्वालकॉम घटकों को प्रभावित करती हैं और उपयुक्त क्वालकॉम सुरक्षा बुलेटिन या सुरक्षा चेतावनी में और अधिक विस्तार से वर्णित हैं। इन मुद्दों की गंभीरता का आकलन सीधे क्वालकॉम द्वारा प्रदान किया जाता है।

सीवीई संदर्भ टाइप तीव्रता अवयव
सीवीई-2019-14131 ए-147103218
क्यूसी-सीआर#2564485
एन/ए नाजुक WLAN
सीवीई-2019-14070 ए-147101660
क्यूसी-सीआर#2508568 [ 2 ]
एन/ए उच्च ऑडियो
सीवीई-2019-14104 ए-147103377
क्यूसी-सीआर#2245986
एन/ए उच्च कैमरा
सीवीई-2019-14122 ए-147102901
क्यूसी-सीआर#2538911
एन/ए उच्च गुठली
सीवीई-2019-14132 ए-147104052
क्यूसी-सीआर#2455671
एन/ए उच्च वीडियो
सीवीई-2020-3651 ए-148816872
क्यूसी-सीआर#2291442
एन/ए उच्च WLAN

क्वालकॉम बंद-स्रोत घटक

ये कमजोरियां क्वालकॉम के क्लोज्ड-सोर्स घटकों को प्रभावित करती हैं और उपयुक्त क्वालकॉम सुरक्षा बुलेटिन या सुरक्षा अलर्ट में अधिक विस्तार से वर्णित हैं। इन मुद्दों की गंभीरता का आकलन सीधे क्वालकॉम द्वारा प्रदान किया जाता है।

सीवीई संदर्भ टाइप तीव्रता अवयव
सीवीई-2019-10575 ए-142272251 * एन/ए नाजुक बंद स्रोत घटक
सीवीई-2019-10588 ए-142271575 * एन/ए नाजुक बंद स्रोत घटक
सीवीई-2019-10609 ए-142269795 * एन/ए नाजुक बंद स्रोत घटक
सीवीई-2019-14110 ए-147104254 * एन/ए नाजुक बंद स्रोत घटक
सीवीई-2019-14111 ए-147103017 * एन/ए नाजुक बंद स्रोत घटक
सीवीई-2019-14112 ए-147102781 * एन/ए नाजुक बंद स्रोत घटक
सीवीई-2019-14113 ए-147103217 * एन/ए नाजुक बंद स्रोत घटक
सीवीई-2019-14114 ए-147102843 * एन/ए नाजुक बंद स्रोत घटक
सीवीई-2019-10483 ए-142270890 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2019-10551 ए-142270356 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2019-10589 ए-142271556 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2019-10608 ए-142270891 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2019-10610 ए-142271388 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2019-14001 ए-142272252 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2019-14007 ए-142269788 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2019-14009 ए-142271546 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2019-14011 ए-142268825 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2019-14012 ए-142270102 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2019-14018 ए-142271911 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2019-14019 ए-142272129 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2019-14020 ए-142271277 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2019-14021 ए-142271809 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2019-14022 ए-142271458 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2019-14033 ए-142271279 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2019-14075 ए-145546514 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2019-14105 ए-14710452 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2019-14127 ए-147103871 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2019-14134 ए-147102923 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2019-14135 ए-147104050 * एन/ए उच्च बंद स्रोत घटक
सीवीई-2020-3651 ए-148816543 * एन/ए उच्च बंद स्रोत घटक

सामान्य प्रश्न और उत्तर

यह खंड उन सामान्य प्रश्नों के उत्तर देता है जो इस बुलेटिन को पढ़ने के बाद उत्पन्न हो सकते हैं।

1. मैं कैसे निर्धारित करूं कि इन समस्याओं को दूर करने के लिए मेरा डिवाइस अपडेट किया गया है या नहीं?

किसी डिवाइस के सुरक्षा पैच स्तर की जांच करने का तरीका जानने के लिए, अपना Android संस्करण जांचें और अपडेट करें देखें.

  • 2020-04-01 या बाद के सुरक्षा पैच स्तर 2020-04-01 सुरक्षा पैच स्तर से जुड़े सभी मुद्दों को संबोधित करते हैं।
  • 2020-04-05 या बाद के सुरक्षा पैच स्तर 2020-04-05 सुरक्षा पैच स्तर और पिछले सभी पैच स्तरों से जुड़े सभी मुद्दों को संबोधित करते हैं।

इन अद्यतनों को शामिल करने वाले डिवाइस निर्माताओं को पैच स्ट्रिंग स्तर को इस पर सेट करना चाहिए:

  • [ro.build.version.security_patch]:[2020-04-01]
  • [ro.build.version.security_patch]:[2020-04-05]

Android 10 या उसके बाद के कुछ उपकरणों के लिए, Google Play सिस्टम अपडेट में दिनांक स्ट्रिंग होगी जो 2020-04-01 सुरक्षा पैच स्तर से मेल खाती है। सुरक्षा अद्यतन स्थापित करने के तरीके के बारे में अधिक विवरण के लिए कृपया यह आलेख देखें।

2. इस बुलेटिन में दो सुरक्षा पैच स्तर क्यों हैं?

इस बुलेटिन में दो सुरक्षा पैच स्तर हैं ताकि Android भागीदारों के पास कमजोरियों के एक सबसेट को ठीक करने की सुविधा हो जो सभी Android उपकरणों में अधिक तेज़ी से समान हो। Android भागीदारों को इस बुलेटिन में सभी समस्याओं को ठीक करने और नवीनतम सुरक्षा पैच स्तर का उपयोग करने के लिए प्रोत्साहित किया जाता है।

  • 2020-04-01 सुरक्षा पैच स्तर का उपयोग करने वाले उपकरणों में उस सुरक्षा पैच स्तर से जुड़े सभी मुद्दों के साथ-साथ पिछले सुरक्षा बुलेटिन में रिपोर्ट की गई सभी समस्याओं के समाधान शामिल होने चाहिए।
  • 2020-04-05 या नए के सुरक्षा पैच स्तर का उपयोग करने वाले उपकरणों में इस (और पिछले) सुरक्षा बुलेटिन में सभी लागू पैच शामिल होने चाहिए।

भागीदारों को उन सभी समस्याओं के समाधान को बंडल करने के लिए प्रोत्साहित किया जाता है जिन्हें वे एक ही अद्यतन में संबोधित कर रहे हैं।

3. टाइप कॉलम में प्रविष्टियों का क्या अर्थ है?

भेद्यता विवरण तालिका के प्रकार कॉलम में प्रविष्टियां सुरक्षा भेद्यता के वर्गीकरण का संदर्भ देती हैं।

संक्षेपाक्षर परिभाषा
आरसीई रिमोट कोड निष्पादन
ईओपी विशेषाधिकार का उन्नयन
पहचान जानकारी प्रकटीकरण
करने योग्य सेवा की मनाई
एन/ए वर्गीकरण उपलब्ध नहीं है

4. सन्दर्भ कॉलम में प्रविष्टियों का क्या अर्थ है?

भेद्यता विवरण तालिका के संदर्भ कॉलम के अंतर्गत प्रविष्टियों में उस संगठन की पहचान करने वाला एक उपसर्ग हो सकता है जिससे संदर्भ मान संबंधित है।

उपसर्ग संदर्भ
ए- एंड्रॉइड बग आईडी
क्यूसी- क्वालकॉम संदर्भ संख्या
एम- मीडियाटेक संदर्भ संख्या
एन- NVIDIA संदर्भ संख्या
बी- ब्रॉडकॉम संदर्भ संख्या

5. संदर्भ कॉलम में Android बग आईडी के आगे * का क्या अर्थ है?

जो समस्याएं सार्वजनिक रूप से उपलब्ध नहीं हैं उनमें संदर्भ कॉलम में Android बग आईडी के आगे एक * होता है। उस समस्या के लिए अद्यतन आम तौर पर Google डेवलपर साइट से उपलब्ध पिक्सेल उपकरणों के लिए नवीनतम बाइनरी ड्राइवरों में निहित है।

6. सुरक्षा कमजोरियों को इस बुलेटिन और डिवाइस/पार्टनर सुरक्षा बुलेटिन, जैसे कि Pixel बुलेटिन के बीच क्यों विभाजित किया गया है?

इस सुरक्षा बुलेटिन में प्रलेखित सुरक्षा भेद्यताएं Android उपकरणों पर नवीनतम सुरक्षा पैच स्तर घोषित करने के लिए आवश्यक हैं। सुरक्षा पैच स्तर घोषित करने के लिए डिवाइस/पार्टनर सुरक्षा बुलेटिन में प्रलेखित अतिरिक्त सुरक्षा भेद्यताएं आवश्यक नहीं हैं। Android डिवाइस और चिपसेट निर्माता अपने उत्पादों के लिए विशिष्ट सुरक्षा भेद्यता विवरण भी प्रकाशित कर सकते हैं, जैसे Google , Huawei , LGE , Motorola , Nokia , या Samsung

संस्करणों

संस्करण दिनांक टिप्पणियाँ
1.0 6 अप्रैल, 2020 बुलेटिन प्रकाशित
1.1 8 अप्रैल, 2020 AOSP लिंक्स को शामिल करने के लिए संशोधित बुलेटिन